PKGCTL-ISSUE-CREATE(1)

BEZEICHNUNG
pkgctl-issue-create - Ein neues Ticket erstellen

ÜBERSICHT

pkgctl issue create [OPTIONEN]

BESCHREIBUNG

Der Befehl create wird zur Erstellung eines neuen Tickets für ein Arch-Linux-Paket verwandt. Dieser Befehl eignet sich zum Melden von Fehlern, Regressionen, Funktionalitätswünschen und allen anderen Problemen in Zusammenhang mit einem Paket. Er bietet eine flexible Weise an, neue Tickets in der Fehlerdatenbank des Projektes zu dokumentieren und nachzuverfolgen.

Standardmäßig arbeitet der Befehl im aktuellen Verzeichnis, aber bei Bedarf kann eine andere Paketbasis angegeben werden.

Über die Befehlszeile kann direkt ein Titel für das Ticket angegeben werden. Die Beschreibung des Tickets kann aus einer Datei bereitgestellt oder mittels eines Text-Editors bearbeitet werden. Alternativ kann mit der Erstellung des Tickets in der Web-Schnittstelle für interaktivere Benutzung fortgesetzt werden.

Dieser Befehl ermöglicht das Setzen verschiedener Markierungen und Attribute für das Ticket, wie »confidentiality«, »priority«, »scope«, »severity« und »status«. Diese Optionen helfen bei der geeigneten Kategorisierung und Priorisierung innerhalb der Fehlerdatenbank.

Falls die Ausführung fehlschlug, kann der Befehl automatisch wiederherstellen, um sicherzustellen, dass der Bearbeitungsprozess ohne Datenverlust abgeschlossen ist.

Dieser Befehl ist für Betreuer, Beitragende und Benutzer wesentlich, die neue Probleme im Zusammenhang mit Arch-Linux-Paketen berichten wollen.

OPTIONEN

-p, --package PAKETBASIS
    Interagiert mit PAKETBASIS anstelle des aktuellen Arbeitsverzeichnisses.

-t, --title TITEL
    Verwendet den angegebenen Titel für das Ticket.

-F, --file DATEI
    Nimmt die Problembeschreibung aus DATEI.

-e, --edit
    Bearbeitet die Problembeschreibung mit einem Editor.

-w, --web
    Fährt mit der Erstellung eines Tickets in der Webschnittstelle fort.

--recover
    Stellt von einer fehlgeschlagenen Ausführung wieder her.

--confidentiality TYP
    Setzt die Vertraulichkeit (»confidentiality«).

--priority PRIORITÄT
    Setzt die Prioritätsmarkierung (»priority«).

--scope BEREICH
    Setzt die Bereichsmarkierung (»scope«).

--severity SCHWERE
    Setzt die Schweregrad-Markierung (»severity«).

--status STATUS
    Setzt die Statusmarkierung (»status«).

-h, --help
    Zeigt einen Hilfetext an.

HOMEPAGE

Bitte melden Sie Fehler und Funktionalitätswünsche auf Englisch in dem Fehlererfassungssystem. Bitte versuchen Sie bei Fehlern so gut wie möglich, einen reproduzierbaren Testfall zu erstellen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.